using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class PlayerMovement : MonoBehaviour
{
    //Declare variables
    public float speed;
    private int count;
    
    public UnityEngine.UI.Text countText;
    public CharacterController controller;
    public float gravity = 9.87f;
    public Animator animator;
    public float RotateSpeed = 0;
    public bool Talkable = false;
    public bool ControlPause = false;
    public float jumpSpeed = 18.0F; 
    
    private GameObject Interbut;
    private GameObject Talker;
    private Text text;
    private float curSpeed;
    private bool Grounded;
    
    public float distToGround = 0.1f;
    //Shooting system
    public GameObject bulletPrefab;
    
    //
    private Vector3 moveDirection = Vector3.zero;

// Start is called before the first frame update
    void Start()
    {
	//controller = GetComponent<CharacterController>();
        distToGround = GetComponent<Collider>().bounds.extents.y;
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.Space) && Grounded){
            moveDirection.y = jumpSpeed;
            animator.SetBool("isJumping", true);
           // Debug.Log("Jump!");
        }
        if (Input.GetButtonDown("Fire1")){
            Debug.Log("Shoot");
            animator.SetTrigger("Firing");
        }
    }
   
    
    void FixedUpdate()
    {
      float moveHorizontal = Input.GetAxis("Horizontal");//Left and right
      float moveVertical = Input.GetAxis("Vertical");    //back and forward
      Vector3 rotation;
      
      if (ControlPause){
        if (Talkable)
        {
          if (Input.GetKeyDown(KeyCode.T))
          {
            /*referenceObject = GameObject.Find("ChatBox");
            referenceAnimator = referenceObject.GetComponent<Animator>();
            referenceAnimator.SetBool("isTalking", false);  
            referenceObject = GameObject.Find("CFace");
            referenceAnimator = referenceObject.GetComponent<Animator>();             
            referenceAnimator.SetBool("isAppearing", false);
            ControlPause = false;
            //Talker.SendMessageUpwards("Introduction");
            */
          }
        }
      } else if (!ControlPause){
        if (Input.GetKeyDown(KeyCode.T) && Talkable)
        {
          /*referenceObject = GameObject.Find("ChatBox");
          referenceAnimator = referenceObject.GetComponent<Animator>();
          referenceAnimator.SetBool("isTalking", true);              
          referenceObject = GameObject.Find("CFace");
          referenceAnimator = referenceObject.GetComponent<Animator>();  
          referenceAnimator.SetBool("isAppearing", true);
          ControlPause = true;
          Talker.SendMessageUpwards("Introduction");
          */
        }
       }
      
       //Code for Gravity/Falling and Animation setup
       if (Physics.Raycast(transform.position,Vector3.down,distToGround+0.1f)){
            animator.SetBool("isFalling", false);
            Grounded = false;
            animator.SetBool("isJumping", false);
        } else {
            animator.SetBool("isFalling", true);
            Grounded = true;
        }
        moveDirection.y -= gravity * Time.deltaTime;
        
        
        controller.Move(moveDirection * Time.deltaTime);
        
        //Rotation animation
        //This code isn't quite right cause it'll KEEP playing the animation over and over as as long as there is some 
        //form of rotation to the player, it sees it as rotating
        /*if (animator.GetBool("isFalling") && !animator.GetBool("isWalking")){
            Debug.Log("Check");
          if (moveHorizontal  > 0) {
            animator.Play("Right Turn");
          } else if (moveHorizontal  < 0) {
            animator.Play("Left Turn");
          }
        }*/
        //transform.Rotate(turn * turnSpeed * Time.deltaTime);
   
        //code for.. something to do with rotation?
        rotation = new Vector3(0, moveHorizontal * RotateSpeed*Time.deltaTime, 0);
        controller.transform.Rotate(rotation);
        
        //Code for movements and stuff    
        animator.SetBool("isWalking", moveVertical !=0 || moveHorizontal !=0);

        Vector3 movement = transform.forward * moveVertical;// + transform.right * moveHorizontal;
        controller.Move(speed * Time.deltaTime * movement);
        Vector3 horizontalVelocity = controller.velocity;
        horizontalVelocity = new Vector3(controller.velocity.x, 0, controller.velocity.z);
        curSpeed = horizontalVelocity.magnitude;
        animator.SetFloat("Speed",curSpeed);
    }  
}
